%define	upstream_name	 HTML-Parser
%define upstream_version 3.72

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    1

Summary:	Perl module to parse HTML documents

License:	GPL+ or Artistic
Group:		Development/Perl
Url: 		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel
BuildRequires:	perl-HTML-Tagset
Requires: 	perl-HTML-Tagset >= 3.30.0

%description
HTML::Parser module for Perl to parse and extract information from
HTML documents.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
# compile with default options (prompt() checks for STDIN being a terminal).
# yes to not ask for automate rebuild
yes | perl Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%make test

%install
%makeinstall_std

%files
%doc README TODO Changes
%{perl_vendorarch}/auto/HTML
%{perl_vendorarch}/HTML
%{_mandir}/*/*

%changelog

* Thu Jun 15 2017 dsilakov <denis.silakov@rosalab.ru> 3.720.0-1
- (0a74bc4) Merge pull request #4 from import/perl-HTML-Parser:auto_update
- (0a74bc4) Updated to 3.72 (by updates_builder)


